
From: Andrew Morton <akpm@osdl.org>

Someone needs a tab key

Cc: Matt Tolentino <metolent@snoqualmie.dp.intel.com>
Cc: <ak@muc.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/setup.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff -puN arch/x86_64/kernel/setup.c~add-x86-64-specific-support-for-sparsemem-tidy arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~add-x86-64-specific-support-for-sparsemem-tidy	Wed May 18 14:48:40 2005
+++ 25-akpm/arch/x86_64/kernel/setup.c	Wed May 18 14:48:40 2005
@@ -383,16 +383,16 @@ static __init void parse_cmdline_early (
 static void __init
 contig_initmem_init(unsigned long start_pfn, unsigned long end_pfn)
 {
-        unsigned long bootmap_size, bootmap; 
+	unsigned long bootmap_size, bootmap;
 
 	memory_present(0, start_pfn, end_pfn);
-        bootmap_size = bootmem_bootmap_pages(end_pfn)<<PAGE_SHIFT;
-        bootmap = find_e820_area(0, end_pfn<<PAGE_SHIFT, bootmap_size);
-        if (bootmap == -1L) 
-                panic("Cannot find bootmem map of size %ld\n",bootmap_size);
-        bootmap_size = init_bootmem(bootmap >> PAGE_SHIFT, end_pfn);
-        e820_bootmem_free(NODE_DATA(0), 0, end_pfn << PAGE_SHIFT);
-        reserve_bootmem(bootmap, bootmap_size);
+	bootmap_size = bootmem_bootmap_pages(end_pfn)<<PAGE_SHIFT;
+	bootmap = find_e820_area(0, end_pfn<<PAGE_SHIFT, bootmap_size);
+	if (bootmap == -1L)
+		panic("Cannot find bootmem map of size %ld\n",bootmap_size);
+	bootmap_size = init_bootmem(bootmap >> PAGE_SHIFT, end_pfn);
+	e820_bootmem_free(NODE_DATA(0), 0, end_pfn << PAGE_SHIFT);
+	reserve_bootmem(bootmap, bootmap_size);
 } 
 #endif
 
_
